;//
;// Message Catalog for Prafull Kumar plugin nodes
;//

;// Header Section

MessageIdTypedef=int

SeverityNames=(
   Success=0x0
   Informational=0x1
   Warning=0x2
   Error=0x3
   )

;//FacilityNames=(
;//   System=0x0FF
;//   Application=0xFFF
;//   ) 

;//LanguageNames=(
;//   English=1:MBEN_US1
;//   )

;// Message Section

MessageId=0001
Severity=Informational
Facility=Application
SymbolicName=DXP_ELEMENT_NOT_FOUND
Language=English
The broker (%1!s!) could not find the Element(%2!s!) in the message to store by the DxPool Node
.

MessageId=0002
Severity=Informational
Facility=Application
SymbolicName=DXP_KEY_NOT_FOUND
Language=English
(%1!s!) Key(%2!s!) not found in DxPool. No user action required
.

MessageId=0003
Severity=Warning
Facility=Application
SymbolicName=DXP_CANT_CREATE_ELEMENT
Language=English
(%1!s!) The Element(%2!s!) cant not be created in the Message. Check that the Root Element is same in the Message and you should not change it.
.

MessageId=0004
Severity=Error
Facility=Application
SymbolicName=DXP_TERMINAL_DOES_NOT_EXIST
Language=English
(%1!s!) The requested terminal (%2!s!) does not exist in message flow
.

MessageId=0005
Severity=Error
Facility=Application
SymbolicName=DXP_TERMINAL_NOT_ATTACHED
Language=English
(%1!s!) The requested terminal (%2!s!) is not attached to message flow
.

MessageId=0006
Severity=Error
Facility=Application
SymbolicName=DXP_MESSAGE_NOT_PROPAGATED
Language=English
Error occurred when propagating message (rc = %2!s!)
.

MessageId=0007
Severity=Informational
Facility=Application
SymbolicName=DXP_NODE_CONTEXT_DELETED
Language=English
Node context successfully deleted
.

MessageId=0008
Severity=Error
Facility=Application
SymbolicName=DXP_MEMORY_FULL
Language=English
(%1!s!) Pool Memory Full. Cant Store the Message in the Pool. Pl take app action.(Shut down the broker increase the DXPOOL_MEMORY_PAGES env variable and restart it)
.

MessageId=0009
Severity=Error
Facility=Application
SymbolicName=DXP_CANT_INIT_MEMORY
Language=English
(%1!s!) cant init memory. (rc = %2!s!)
.

MessageId=0010
Severity=Error
Facility=Application
SymbolicName=DXP_CANT_INIT_MEMORY_VIEW
Language=English
(%1!s!) cant init memory in the process. (rc = %2!s!)
.

MessageId=0011
Severity=Informational
Facility=Application
SymbolicName=DXP_CANT_INSERT_ELEMENT
Language=English
(%1!s!) Element (%2!s!) can not be inserted into Message
.

MessageId=0012
Severity=Informational
Facility=Application
SymbolicName=DXP_MEMORY_SIZE
Language=English
(%1!s!) Memory size of DxPool Node is set to %2!s! pages.
Each page size is 4096 bytes
.

MessageId=0013
Severity=Informational
Facility=Application
SymbolicName=DXP_MEMORY_INIT_FROM_FILE
Language=English
(%1!s!) Pool updated from file C:\DxPoolData.bin. No User action required.
.

MessageId=0014
Severity=Informational
Facility=Application
SymbolicName=DXP_MEMORY_SAVED_TO_FILE
Language=English
(%1!s!) Pool saved to file C:\DxPoolData.bin. No User action required.
.

MessageId=0015
Severity=Error
Facility=Application
SymbolicName=DXP_SCRIPT_ERROR
Language=English
(%1!s!) DxPoolExpression is wrong. Pl refer to document, correct the syntax and depoy it again.
You can only use the following expression in DxPool node as of now:                      
SET DxPool.Key=Body.Element1.Element2;     
or
SET Body.Element1.Element2=DxPool.Key;
all other key word (*,/,\,+,-) is not supported as of now !!
error:

%2!s!
.

MessageId=0016
Severity=Error
Facility=Application
SymbolicName=DXP_TRY_TO_CHANGE_INPUT_MSG
Language=English
(%1!s!) User is not allowed to change the Input Msg in Script
(%2!s!)
.

;// End of Message Data
